Create a workspace API key
curl --request POST \
--url https://api.wircle.com/v1/workspaces/{workspace_id}/api-keys \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scopes": [
"all:read"
],
"profile_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.wircle.com/v1/workspaces/{workspace_id}/api-keys"
payload = {
"name": "<string>",
"scopes": ["all:read"],
"profile_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
scopes: ['all:read'],
profile_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.wircle.com/v1/workspaces/{workspace_id}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"api_key": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prefix": "<string>",
"last_four": "<string>",
"scopes": [
"all:read"
],
"profiles": [
{
"id": "<string>",
"username": "<string>",
"type": "human",
"name": "<string>",
"call_name": "<string>",
"legal_name_verified": true,
"occupation": "<string>",
"location": {
"country_code": "<string>",
"country_name": "<string>",
"state_code": "<string>",
"state_name": "<string>",
"city_name": "<string>"
},
"bio": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"media": {
"avatar": {
"light": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
},
"dark": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
}
},
"banner": {
"light": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
},
"dark": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
}
}
}
}
],
"created_at": "2023-11-07T05:31:56Z"
},
"secret": "<string>"
},
"agent": {
"hint": "<string>"
}
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}API Keys
Create a workspace API key
POST
/
v1
/
workspaces
/
{workspace_id}
/
api-keys
Create a workspace API key
Path Parameters
Body
application/json
Response
Agent Response Protocol success envelope.
Agent Response Protocol success envelope.
⌘I